Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012071ScribusScripterpublic2014-02-17 07:482014-07-03 06:51
Reporterchristoph_s 
Assigned Togpittman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSOpenSUSE 64 BitOS Version13.1
Product Version1.4.3 
Target Version1.6 milestoneFixed in Version 
Summary0012071: Autoquote script fails when the second quotation mark is placed before a line break.
DescriptionIf a word in quotation marks is placed before a line break, the Autoquote script replaces the right quotation mark with a left quotation mark.

Examples:

"name"[line break] becomes ``name`` instead of ``name'' in US English; ,,name'' in German becomes ,,name,,.
TagsNo tags attached.
Patch
Attached Files? file icon spacenquotes 2013-10-25 OK.py [^] (15,187 bytes) 2014-02-17 10:48

- Relationships

-  Notes
(0031333)
JLuc (updater)
2014-02-17 10:46
edited on: 2014-02-17 10:48

This issue doesnt happen with the version i have fixed and improved.

- This new version is hardened as with choosing to open or close the marks
- It can add or replace spaces inside « and » (or “ and ” etc). User chooses whether he wants normal, non breaking, thin or non breaking narrow spaces
- It provides dialogs in english and french

I upload file. Its named 'spacenquotes'.

(0031334)
gpittman (developer)
2014-02-17 17:54

Let me play with this a bit.
My initial reaction is that maybe this should be added as another script rather than replacing Autoquote. It might make some sense to have this be the default or recommended choice for those using French, in which case its default language should be French.
English, or at least American English, doesn't use spaces between quotes and their associated text. I also think that a quote followed by a linebreak is an unusual circumstance. I minor tweak to the original Autoquote might fix this.
Personally, I like scripts that are quick and offer no more choices than necessary. There may also be an issue with the choice of a thin nonbreaking space if the desired font does not include this.
Having said this, I am quite aware that the Autoquote script is rather clumsy Python.
(0031335)
gpittman (developer)
2014-02-17 17:59

An added thought here is that maybe we should consider what it might take to modify fonts to add thin nonbreaking spaces (of course respecting various licenses).
This would presumably be some script or process outside of Scribus. Fodder for LGM 2014.
(0031484)
gpittman (developer)
2014-03-09 20:28

After some testing, have added this to 1.5.0svn.

Some spelling/typographic errors in English were fixed.

- Issue History
Date Modified Username Field Change
2014-02-17 07:48 christoph_s New Issue
2014-02-17 07:48 christoph_s Status new => assigned
2014-02-17 07:48 christoph_s Assigned To => gpittman
2014-02-17 10:46 JLuc Note Added: 0031333
2014-02-17 10:48 JLuc File Added: spacenquotes 2013-10-25 OK.py
2014-02-17 10:48 JLuc Note Edited: 0031333 View Revisions
2014-02-17 17:54 gpittman Note Added: 0031334
2014-02-17 17:59 gpittman Note Added: 0031335
2014-03-09 20:28 gpittman Note Added: 0031484
2014-03-09 20:28 gpittman Status assigned => resolved
2014-03-09 20:28 gpittman Resolution open => fixed
2014-03-09 20:29 gpittman Status resolved => closed
2014-07-03 06:51 Kunda Target Version 1.5.0 => 1.6 milestone



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker